IARRAY_GET_NAMED_VALUE(3)

FUNCTION
iarray_get_named_value - Get attached data from an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_get_named_value

(iarray array, CONST char *name, unsigned int *type, double value[2])

DESCRIPTION
This routine will get a unique named value from the underlying Karma general data structure of an "Intelligent Array".

array
    The Intelligent Array.

name
    The name of the element.

type
    The type of the input data found will be written here. If this is NULL, nothing is written here.

value
    The value of the converted data will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/